Subject: Re: WGLC: p6 editorial nits

From: Mark Nottingham <[email-masked]>
Date: Tue, 23 Apr 2013 16:15:18 +1000

On 26/03/2013, at 7:17 AM, Ken Murchison <[email-masked]> wrote:

> Hi All,
> 
> Sec 7.2, last sentence: "... otherwise stated otherwise." -> "... unless stated otherwise."

I think Julian has already taken care of this; thanks.

> I'm also wondering if draft-snell-http-prefer can have any effect on the cacheability of responses to PUT/POST, namely a response that includes Preference-Applied:return=representation.  Since the purpose of return=representation is to eliminate the need for a subsequent GET, it would seem to me that the response could be used to update a cache.  The current language in p2 and p6 doesn't appear to leave any wiggle room for an "extension" such as Prefer.  Of course, I'm the farthest thing from a HTTP cache expert and might have missed such text and/or don't understand the implications of allowing such a thing.

A new header can enhance the caching behaviour, just as a new cache-control directive can. However, it needs to be in a backwards compatible way; i.e., it can't place any requirements upon implementations that don't understand it.

We probably need a few words about this in p2's "considerations for new headers"; I have a few other suggestions there that I'll include it with.

Cheers,

--
Mark Nottingham   http://www.mnot.net/